<?php
$title = 'Правила сайта';
include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');
level(1);
switch($_GET['act']){
	default:
	?>
	<div class="title">Управление правилами сайта</div>
	<?
	$q = $db->query('SELECT * FROM `rules`');
	while($r = $q->fetch_assoc()){
		if($r['type_time']=='s'){
			$type = 'секунд';
		}elseif($r['time_type']=='min'){
			$type = 'минут';
		}elseif($r['type_time']=='h'){
			$type = 'часов';
		}elseif($r['type_time']=='d'){
			$type = 'дней';
		}elseif($r['type_time']=='m'){
			$type = 'месяцев';
		}elseif($r['type']=='y'){
			$type = 'лет';
		}
		?>
		<div class="section1">
			<?=output($r['text'])?><br/>
			Добавил: <?=nick($r['id_adm'])?><br/>
			Время добавления: <?=times($r['time'])?><br/>
			Время бана: <?=abs(intval($t['time_ban']))?> <?=$type?><br/>
			<a href="/admin/rules/del/<?=$r['id']?>">[Уд.]</a> | <a href="/admin/rules/edit/<?=$r['id']?>">[Ред.]</a>
		</div>
		<?
	}
	?>
	<a href="/admin/rules/new">Создать правило</a>
	<?
	break;

	case 'new':
		if(isset($_POST['ok'])){
			$_POST['text'] = guard($db->real_escape_string($_POST['text']));
			$_POST['time'] = abs(intval($_POST['time']));
			if(empty($_POST['text'])){
				error('Введите текст правила!');
			}elseif(mb_strlen($_POST['text'])<10 or mb_strlen($_POST['text'])>4000){
				error('Текст правила не должен быть менее 10 и более 4000 символов!');
			}elseif(empty($_POST['time'])){
				error('Введите время бана!');
			}
			$db->query("INSERT INTO `rules` SET `text`='".$_POST['text']."', `id_adm`='".$user['id']."', `time`='".time()."', `time_ban`='".$_POST['time']."', `type_time`='".$_POST['t']."'");

		}
	?>
	<div class="title">Создание правило</div>
	<div class="text">
		<form action="" method="POST">
			Содержание:<br/>
			<textarea name="text"></textarea><br/>
			Время бана:<br/>
			<input type="text" name="time"> 
			<select name="t">
			<option value="s">Секунд</option>
			<option value="min">Минут</option>
			<option value="h">Часов</option>
			<option value="d">Дней</option>
			<option value="m">Месяцев</option>
			<option value="y">Лет</option>
			</select><br/>
			<input type="submit" name="ok" value="Создать">
		</form>
	</div>
	<?
	break;

	case 'del':
	$_GET['id'] = abs(intval($_GET['id']));
	if($db->query("SELECT `id` FROM `rules` WHERE `id`='".$_GET['id']."'")->num_rows==0){
		error('Правила не существует!');
	}
	$db->query("DELETE FROM `rules` WHERE `id`='".$_GET['id']."'");
	success('Правило успешно удалено!');
	break;

	case 'edit':
	$_GET['id'] = abs(intval($_GET['id']));
	if($db->query("SELECT `id` FROM `rules` WHERE `id`='".$_GET['id']."'")->num_rows==0){
		error('Правила не существует!');
	}
	if(isset($_POST['ok'])){
		$_POST['text'] = guard($db->real_escape_string($_POST['text']));
		$_POST['time'] = abs(intval($_POST['time']));
		if(empty($_POST['text'])){
			error('Введите текст правила!');
		}elseif(mb_strlen($_POST['text'])<10 or mb_strlen($_POST['text'])>4000){
			error('Текст правила не должен быть менее 10 и более 4000 символов!');
		}elseif(empty($_POST['time'])){
			error('Введите время бана!');
		}
		$db->query("UPDATE `rules` SET `text`='".$_POST['text']."', `time_ban`='".$_POST['time']."', `time_type`='".$_POST['t']."'");
		success('Правило успешно изменено!');
	}
	$rule = $db->query("SELECT * FROM `rules` WHERE `id`='".$_GET['id']."'")->fetch_assoc();
	?>
	<div class="title">Редактирование правила</div>
	<div class="text">
		<form action="" method="POST">
			Содержание:<br/>
			<textarea name="text"><?=$rule['text']?></textarea><br/>
			Время бана:<br/>
			<input type="number" name="time" value="<?=abs(intval($rule['time']))?>"> 
			<select name="t">
				<option value="s" <?if($rule['time_type']=='s'){echo 'selected';}?>>Секунд</option>
				<option value="min" <?if($rule['time_type']=='min'){echo 'selected';}?>>Минут</option>
				<option value="h" <?if($rule['time_type']=='h'){echo 'selected';}?>>Часов</option>
				<option value="d" <?if($rule['time_type']=='d'){echo 'selected';}?>>Дней</option>
				<option value="m" <?if($rule['time_type']=='m'){echo 'selected';}?>>Месяцев</option>
				<option value="y" <?if($rule['time_type']=='y'){echo 'selected';}?>>Лет</option>
			</select><br/>
			<input type="submit" name="ok" value="Изменить">
		</form>
	</div>
	<?
	break;
}
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>