<?php

$title = 'Полезные PHP коды';

include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');

mode('user');

$_GET['id'] = abs(intval($_GET['id']));

if($db->query("SELECT `id` FROM `phpcodes_codes` WHERE `id`='".$_GET['id']."'")->num_rows==0){
	error('Кода не существует.');
}

$code = $db->query("SELECT * FROM `phpcodes_codes` WHERE `id`='".$_GET['id']."'")->fetch_assoc();

if($user['level']<1 AND $user['id']!=$code['id_us']){
	error('У вас нет прав для просмотра данной страницы.');
}
$folder = $db->query("SELECT * FROM `phpcodes_folders` WHERE `id`='".$code['folder']."'")->fetch_assoc();
?>
<div class="title"><a href="/phpcodes">Полезные PHP коды</a> | <a href="/phpcodes/folder/<?=$folder['id']?>"><?=htmlspecialchars($folder['name'])?></a> | <a href="/phpcodes/code/<?=$_GET['id']?>"><?=htmlspecialchars($code['name'])?></a></div>
<?
if(isset($_POST['ok'])){
	$_POST['name'] = guard($db->real_escape_string($_POST['name']));
	$_POST['description'] = guard($db->real_escape_string($_POST['description']));
	$_POST['code'] = guard($db->real_escape_string($_POST['code']));
	if(mb_strlen($_POST['name'])<2 or mb_strlen($_POST['name'])>50){
		error('Название кода должно быть не менее 2 и не более 50 символов.');
	}elseif(mb_strlen($_POST['description'])<5 or mb_strlen($_POST['description'])>4000){
		error('Описание кода должно быть не менее 5 и не более 4000 символов.');
	}elseif(mb_strlen($_POST['code'])<10 or mb_strlen($_POST['description'])>4000){
		error('Код должен быть не менее 10 и не более 4000 символов.');
	}
	$db->query("UPDATE `phpcodes_codes` SET `name`='".$_POST['name']."', `description`='".$_POST['description']."', `code`='".$_POST['code']."' WHERE `id`='".$_GET['id']."'");
	$code = $db->query("SELECT * FROM `phpcodes_codes` WHERE `id`='".$_GET['id']."'")->fetch_assoc();
	if($code['id_us']!=$user['id']){
		$db->query("INSERT INTO `notifications` SET `id_us`='".$code['id_us']."', `time`='".time()."', `section`='phpcodes', `sender`='".$user['id']."', `text`='отредактировал ваш [url=http://".$_SERVER["HTTP_HOST"]."/phpcodes/code/".$_GET['id']."]код[/url]'");
	}
	success('Код успешно отредактирован.');
}
?>
<div class="text">
	<form action="" method="POST">
		Навзание:<br/>
		<input type="text" name="name" value="<?=$code['name']?>"><br/>
		Описание:<br/>
		<textarea name="description"><?=$code['description']?></textarea><br/>
		Код:<br/>
		<textarea name="code"><?=$code['code']?></textarea><br/>
		<input type="submit" name="ok" value="Изменить">
	</form>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>