<?php
$title = 'Портфолио | Добавление работы';
include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');
mode('user');
$_GET['id'] = abs(intval($_GET['id']));
if($db->query("SELECT `id` FROM `portfolio_folders` WHERE `id`='".$_GET['id']."'")->num_rows==0){
	error('Папки не существует.');
}
$folder = $db->query("SELECT * FROM `portfolio_folders` WHERE `id`='".$_GET['id']."'")->fetch_assoc();
?>
<div class="title">
	<a href="/portfolio">Портфолио</a>
	|
	<a href="portfolio/folder/<?=$_GET['id']?>"><?=htmlspecialchars($folder['name'])?></a>
	|
	Добавление работы
</div>
<?
if(isset($_POST['ok'])){
	$_POST['name'] = guard($db->real_escape_string($_POST['name']));
	$_POST['description'] = guard($db->real_escape_string($_POST['description']));
	$_POST['summ'] = abs(intval($_POST['summ']));
	$_POST['times'] = abs(intval($_POST['times']));
	$_POST['t'] = guard($db->real_escape_string($_POST['t']));
	if (mb_strlen($_POST['name'])<2 or mb_strlen($_POST['name'])>100) {
		error('Название должно содержать не менее 2 и не более 100 символов.');
	}elseif (mb_strlen($_POST['description'])<10 or mb_strlen($_POST['description'])>4000) {
		error('Описание должно содержать не менее 10 и не более 4000 символов.');
	}elseif ($_POST['summ'] < 0) {
		error('Цена не должна быть отрицательной.');
	}elseif ($_POST['times'] <= 0) {
		error('Укажите время выполнения работы.');
	}
	$db->query("INSERT INTO `portfolio_works` SET `name`='".$_POST['name']."', `description`='".$_POST['description']."', `summ`='".$_POST['summ']."', `times`='".$_POST['times']."', `t`='".$_POST['t']."', `id_us`='".$user['id']."', `id_folder`='".$_GET['id']."', `time`='".time()."'");
	$id = $db->insert_id;
	header('location:/portfolio/work/'.$id);
}
?>
<div class="text">
	<form action="" method="POST">
		Название:<br>
		<input type="text" name="name" placeholder="Введите название..."><br>
		Описание:<br>
		<textarea name="description"></textarea><br>
		Цена:<br/>
		<input type="number" name="summ" placeholder="Введите цену..."> руб.<br>
		Время выполнения:<br>
		<input type="number" name="times" placeholder="Введите время выполнения работы...">
		<select name="t">
			<option value="min">минут</option>
			<option value="hour">часов</option>
			<option value="day">дней</option>
			<option value="month">месяцев</option>
			<option value="year">лет</option>
		</select><br>
		<input type="submit" name="ok" value="Добавить">
		<hr>
		После добавления работы, Вы сможете прикрепить к ней скриншоты.
	</form>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>