<?php
$title = 'Биллинг | Вывод средств';
include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');
mode('user');
?>
<div class="title"><a href="/billing">Биллинг</a> | Вывод средств</div>
<?
if(isset($_POST['ok'])){
	$_POST['summa'] = guard($db->real_escape_string($_POST['summa']));
	$_POST['type'] = abs(intval($_POST['type']));
	if(!is_numeric($_POST['summa'])){
		error('Введите верно сумму.');
	}
	if($_POST['summa']>$user['money']){
		error('У вас не хватает средств.');
	}
	if($_POST['summa']<10){
		error('Сумма должна быть более 10 рублей.');
	}
	if($_POST['type']==1){
		if(empty($user['wmid'])){
			error('Заполните WMID или выберите другой способ вывода.');
		}elseif(empty($user['wmr'])){
			error('Заполните WMR или выберите другой способ вывода.');
		}
	}elseif($_POST['type']==2 AND empty($user['qiwi'])){
		error('Заполните QIWI или выберите другой способ вывода.');
	}
	if($user['wm_pod']==0 AND $user['qiwi_pod']==0){
		error('Подтвердите данные WebMoney или QIWI.');
	}
	$db->query("INSERT INTO `billing_output` SET `id_us`='".$user['id']."', `time`='".time()."', `summa`='".$_POST['summa']."', `type`='".$_POST['type']."'");
	$db->query("UPDATE `users` SET `money`=`money`-".$_POST['summa']."");
	success('Ваша заявка отправлена на рассмотрение администрации. Сумма вывода временно замарожена на вашем счёте. Вывод может длиться до 3-х дней.');
	$user = $db->query("SELECT * FROM `users` WHERE `id`='".$user['id']."'")->fetch_assoc();
}
?>
<div class="section">Ваш баланс: <?=$user['money']?> рублей.</div>
<div class="text">
	<form action="" method="POST">
		Сумма вывода:<br/>
		<input type="text" name="summa" placeholder="Введите сумму вывода..."><br/>
		<select name="type">
			<option value="1" <?if(empty($user['wmid']) OR empty($user['wmr'])){?>disabled<?}?>>WebMoney</option>
			<option value="2" <?if(empty($user['qiwi'])){?>disabled<?}?>>QIWI</option>
		</select><br/>
		<input type="submit" name="ok" value="Вывести">
	</form>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>