<?php
$title = 'Биллинг | Услуги | Реклама | Купить рекламу';
include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');
mode('user');
?>
<div class="title"><a href="/billing">Биллинг</a> | <a href="/billing/services">Услуги</a> | <a href="/billing/services/ads">Реклама</a> | Купить рекламу</div>
<?
if(isset($_POST['ok'])){
	$_POST['name'] = guard($db->real_escape_string($_POST['name']));
	$_POST['url'] = guard($db->real_escape_string($_POST['url']));
	$_POST['time'] = abs(intval($_POST['time']));
	$_POST['color'] = guard($db->real_escape_string($_POST['color']));
	if(mb_strlen($_POST['name'])<5 or mb_strlen($_POST['name'])>100){
		error('Название рекламной ссылки должно содержать в себе не менее 5 и не более 100 символов.');
	}elseif(mb_strlen($_POST['url'])<4 or mb_strlen($_POST['url'])>100){
		error('Рекламная ссылка должна содержать в себе не менее 4 и не более 100 символов.');
	}elseif($_POST['time']<1){
		error('Минимальный срок заказа рекламы состовляет 1 день');
	}
	if(!empty($_POST['color']) AND mb_strlen($_POST['color'])!=6){
		error('Цвет должен содержать в себе 6 символов. Например: <font color="FF0000">FF0000</font>');
	}
	$price = $_POST['time']*1;
	if(!empty($_POST['color'])){
		$price = $price+1;
	}
	if($_POST['bold']==1){
		$price = $price+1;
	}
	if($_POST['italic']==1){
		$price = $price+1;
	}
	if($user['money']<$price){
		error('У вас не достаточно средств.');
	}
	$time = 60*60*24*$_POST['time'];
	$time = $time+time();
	$db->query("UPDATE `users` SET `money`=`money`-".$price." WHERE `id`='".$user['id']."'");
	$db->query("INSERT INTO `ads_link` SET `id_us`='".$user['id']."', `time`='".time()."', `time2`='".$time."', `name`='".$_POST['name']."', `link`='".$_POST['url']."'");
	$id = $db->insert_id;
	if(!empty($_POST['color'])){
		$db->query("UPDATE `ads_link` SET `color`='".$_POST['color']."' WHERE `id`='".$id."'");
	}
	if($_POST['bold']==1){
		$db->query("UPDATE `ads_link` SET `bold`='1' WHERE `id`='".$id."'");
	}
	if($_POST['italic']==1){
		$db->query("UPDATE `ads_link` SET `italic`='1' WHERE `id`='".$id."'");
	}
	$db->query("INSERT INTO `billing_history` SET `id_us`='".$user['id']."', `type`='-', `text`='Покупка рекламы (".$price." рублей).', `time`='".time()."'");
	success('Ваша рекламная ссылка отправлена на модерацию, после её прохождения она появится в рекламе.');
}
?>

<div class="text">
	<form action="" method="POST">
		Название:<br/>
		<input type="text" name="name" placeholder="Введите название..."><br/>
		Ссылка(без http://):<br/>
		<input type="text" name="url" placeholder="Введите адрес ссылки..."><br/>
		Срок в днях:<br/>
		<input type="number" name="time" placeholder="Введите срок..."><br/>
		Цвет:<br/>
		<input type="text" name="color" placeholder="Введите цвет..."><br/>
		<input type="checkbox" name="bold" value="1"> <b>Жирность</b><br/>
		<input type="checkbox" name="italic" value="1"> <i>Курсивность</i><br/>
		<input type="submit" name="ok" value="Заказать">
	</form>
	<br/>
</div>
<div class="title">Цены</div>
<div class="text">
	<b>Цена:</b> 1 рубль в день<br/>
	<b>Цвет:</b> 1 рубль<br/>
	<b>Жирность:</b> 1 рубль</b><br/>
	<b>Курсивность:</b> 1 рубль
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>