<?php
$title = 'Магазин | Редактирование товара';
include_once($_SERVER["DOCUMENT_ROOT"].'/style/head.php');
mode('user');
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'");
if($query->num_rows==0) {
	error('Товара не существует.');
}
$good = $query->fetch_assoc();
if($user['level']<1 AND $user['id']!=$good['id_us']) {
	error('У Вас нет прав для просмотра данной страницы.');
}
?>
<div class="title">
	<a href="/shop">Магазин</a>
	|
	<a href="/shop/good/<?=$_GET['id']?>"><?=htmlspecialchars($good['name'])?></a>
	|
	Редактирование товара
</div>
<?
if(isset($_POST['ok'])) {
	$_POST['name'] = guard($db->real_escape_string($_POST['name']));
	$_POST['description'] = guard($db->real_escape_string($_POST['description']));
	$_POST['price'] = abs(intval($_POST['price']));
	$_POST['copies'] = abs(intval($_POST['copies']));
	$_POST['right'] = abs(intval($_POST['right']));
	if(empty($_POST['name'])){
		error('Введите название.');
	}elseif(mb_strlen($_POST['name'])>255){
		error('Длинна названия не должна превышать 255 символов.');
	}elseif(empty($_POST['description'])){
		error('Введите описание.');
	}elseif(mb_strlen($_POST['description'])>4000){
		error('Длинна описания не должна превышать 4000 символов.');
	}elseif(empty($_POST['price'])){
		error('Введите цену товара.');
	}elseif($_POST['price']<=0){
		error('Цена должна быть положительным числом и не равна нулю.');
	}elseif($_POST['copies']<0){
		error('Кол-во копий не должно быть менее 0');
	}
	$db->query("UPDATE `shop_goods` SET `name`='".$_POST['name']."', `description`='".$_POST['description']."', `price`='".$_POST['price']."', `copies`='".$_POST['copies']."', `right`='".$_POST['right']."' WHERE `id`='".$_GET['id']."'");
	$good = $db->query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'")->fetch_assoc();
	success('Товар успешно отредактирован.');
}
?>
<div class="text">
	<form action="" method="POST">
		Имя:<br/>
		<input type="text" name="name" value="<?=htmlspecialchars($good['name'])?>"><br/>
		Описание:<br/>
		<textarea name="description"><?=htmlspecialchars($good['description'])?></textarea><br/>
		Цена:<br/>
		<input type="number" name="price" value="<?=$good['price']?>"><br/>
		Кол-во копий:<br/>
		<input type="number" name="copies" value="<?=$good['copies']?>"><br/>
		<input type="checkbox" name="right" value="1" <?if($good['right']==1){?>checked<?}?>> Права на перепродажу<br/>
		<input type="submit" name="ok" value="Сохранить">
	</form>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/style/foot.php');
?>