-- phpMyAdmin SQL Dump
-- version 4.4.15.5
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Апр 22 2016 г., 17:30
-- Версия сервера: 10.0.23-MariaDB-cll-lve
-- Версия PHP: 5.4.45

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `thealex_1`
--

-- --------------------------------------------------------

--
-- Структура таблицы `ads_link`
--

CREATE TABLE IF NOT EXISTS `ads_link` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `time2` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `link` varchar(100) NOT NULL,
  `color` varchar(6) NOT NULL DEFAULT '0',
  `moderation` int(1) NOT NULL DEFAULT '0',
  `bold` int(1) NOT NULL DEFAULT '0',
  `italic` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `antiflood`
--

CREATE TABLE IF NOT EXISTS `antiflood` (
  `id` int(11) NOT NULL,
  `forum_post` int(11) NOT NULL,
  `zc_comm` int(11) NOT NULL,
  `news_comm` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `antimat`
--

CREATE TABLE IF NOT EXISTS `antimat` (
  `id` int(11) NOT NULL,
  `desc` varchar(300) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `antispam`
--

CREATE TABLE IF NOT EXISTS `antispam` (
  `id` int(11) NOT NULL,
  `desc` varchar(300) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `arbitration`
--

CREATE TABLE IF NOT EXISTS `arbitration` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_author` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `type` int(1) NOT NULL,
  `comm` text NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0',
  `file` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ban`
--

CREATE TABLE IF NOT EXISTS `ban` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_adm` int(11) NOT NULL,
  `time1` int(11) NOT NULL,
  `time2` int(11) NOT NULL,
  `reason` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `basket`
--

CREATE TABLE IF NOT EXISTS `basket` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_good` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `billing_history`
--

CREATE TABLE IF NOT EXISTS `billing_history` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `type` varchar(1) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `billing_output`
--

CREATE TABLE IF NOT EXISTS `billing_output` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `summa` float NOT NULL,
  `type` int(1) NOT NULL,
  `status` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `billing_score`
--

CREATE TABLE IF NOT EXISTS `billing_score` (
  `id` int(11) NOT NULL,
  `sender` int(11) NOT NULL,
  `recipient` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `summa` float NOT NULL,
  `status` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `bonus`
--

CREATE TABLE IF NOT EXISTS `bonus` (
  `forum_topic` float NOT NULL DEFAULT '0',
  `forum_post` float NOT NULL DEFAULT '0',
  `zc_file` float NOT NULL DEFAULT '0',
  `zc_comm` float NOT NULL DEFAULT '0',
  `code` float NOT NULL DEFAULT '0',
  `code_comm` float NOT NULL DEFAULT '0',
  `news_comm` float NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `bonus`
--

INSERT INTO `bonus` (`forum_topic`, `forum_post`, `zc_file`, `zc_comm`, `code`, `code_comm`, `news_comm`) VALUES
(0.1, 0.05, 0.05, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `complaint_goods`
--

CREATE TABLE IF NOT EXISTS `complaint_goods` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_good` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` varchar(16000) NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `config_worldkassa`
--

CREATE TABLE IF NOT EXISTS `config_worldkassa` (
  `id_shop` int(11) NOT NULL,
  `hash` varchar(32) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `confirmation`
--

CREATE TABLE IF NOT EXISTS `confirmation` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(1) NOT NULL DEFAULT '0',
  `type` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `designs`
--

CREATE TABLE IF NOT EXISTS `designs` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `system_name` varchar(255) NOT NULL,
  `default` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `designs`
--

INSERT INTO `designs` (`id`, `name`, `system_name`, `default`) VALUES
(1, 'Голубой by PaRtiZzaN', 'blue_partizan', 0),
(6, 'Flat By TheAlex', 'by_TheAlex', 1),
(7, 'NeW', 'NeW', 0),
(8, 'WAP для старых телефонов', 'for_kalkulators', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `forum_complaint`
--

CREATE TABLE IF NOT EXISTS `forum_complaint` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `id_topic` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_files_post`
--

CREATE TABLE IF NOT EXISTS `forum_files_post` (
  `id` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `file` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_kat`
--

CREATE TABLE IF NOT EXISTS `forum_kat` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_kat`
--

INSERT INTO `forum_kat` (`id`, `name`) VALUES
(1, 'Php-Zona.Ru'),
(2, 'Помощь'),
(3, 'Движки'),
(4, 'Общение/Обсуждение/Трёп'),
(5, 'Услуги/Займы/Продажа'),
(6, 'Полезные статьи'),
(7, 'HTML/CSS'),
(9, 'Хостинги/Домены/Сайты');

-- --------------------------------------------------------

--
-- Структура таблицы `forum_pkat`
--

CREATE TABLE IF NOT EXISTS `forum_pkat` (
  `id` int(11) NOT NULL,
  `kat` int(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `forum_pkat`
--

INSERT INTO `forum_pkat` (`id`, `kat`, `name`) VALUES
(2, 1, 'Обновления'),
(3, 1, 'Предложения'),
(4, 1, 'Обсуждение'),
(5, 2, 'Помощь с установкой'),
(6, 2, 'Помощь с движками'),
(7, 2, 'Помощь с HTML'),
(8, 2, 'Помощь с CSS'),
(9, 2, 'Помощь с JS'),
(10, 2, 'Помощь с PHP'),
(11, 2, 'Помощь с SQL'),
(12, 3, 'StrongCMS'),
(13, 3, 'DCMS'),
(14, 3, 'JohnCMS'),
(15, 3, 'KingCMS'),
(16, 3, 'SocCMS'),
(17, 3, 'PatrickCMS'),
(18, 3, 'HwapCMS'),
(19, 3, 'SypCMS'),
(20, 3, 'GlobalCMS'),
(21, 3, 'TerrinCMS'),
(22, 3, 'KlubCMS'),
(23, 3, 'MobileCMS'),
(24, 3, 'CoolCMS'),
(25, 4, 'Свободное общение'),
(26, 4, 'Кино/Сериалы/Музыка'),
(27, 4, 'Телефоны/Компьютеры/Железо'),
(28, 5, 'Услуги'),
(29, 5, 'Кредит/Займ'),
(30, 5, 'Куплю/Продам'),
(31, 1, 'Баги/Ошибки'),
(32, 6, 'PHP'),
(33, 7, 'CSS'),
(34, 7, 'HTML'),
(35, 9, 'Хостинги'),
(36, 9, 'Оценка сайтов');

-- --------------------------------------------------------

--
-- Структура таблицы `forum_post`
--

CREATE TABLE IF NOT EXISTS `forum_post` (
  `id` int(11) NOT NULL,
  `id_topic` int(11) NOT NULL,
  `id_pkat` int(11) NOT NULL,
  `id_kat` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  `quote` int(11) NOT NULL DEFAULT '0',
  `del` int(1) NOT NULL DEFAULT '0',
  `plus` int(11) NOT NULL DEFAULT '0',
  `minus` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_post_del`
--

CREATE TABLE IF NOT EXISTS `forum_post_del` (
  `id` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `id_adm` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_post_edit`
--

CREATE TABLE IF NOT EXISTS `forum_post_edit` (
  `id` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_post_rating`
--

CREATE TABLE IF NOT EXISTS `forum_post_rating` (
  `id` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `type` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_post_reestablish`
--

CREATE TABLE IF NOT EXISTS `forum_post_reestablish` (
  `id` int(11) NOT NULL,
  `id_post` int(11) NOT NULL,
  `id_adm` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_topic`
--

CREATE TABLE IF NOT EXISTS `forum_topic` (
  `id` int(11) NOT NULL,
  `kat` int(11) NOT NULL,
  `pkat` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `text` varchar(4000) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `status` int(1) NOT NULL,
  `up` int(11) NOT NULL,
  `closed` int(1) NOT NULL DEFAULT '0',
  `closed_reason` text NOT NULL,
  `closed_us` int(11) NOT NULL,
  `closed_time` int(11) NOT NULL,
  `top` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `history_nick`
--

CREATE TABLE IF NOT EXISTS `history_nick` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `from` varchar(100) NOT NULL,
  `on` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `msg`
--

CREATE TABLE IF NOT EXISTS `msg` (
  `id` int(18) NOT NULL,
  `cid` int(18) NOT NULL,
  `uid` int(18) NOT NULL,
  `mid` int(18) NOT NULL,
  `text` text NOT NULL,
  `time` int(18) NOT NULL,
  `msg` enum('new','read') NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `msg_con`
--

CREATE TABLE IF NOT EXISTS `msg_con` (
  `id` int(18) NOT NULL,
  `uid` int(18) NOT NULL,
  `cid` int(18) NOT NULL,
  `msge` varchar(100) NOT NULL,
  `bl` enum('on','off') NOT NULL,
  `msg` enum('new','read') NOT NULL,
  `out` int(18) NOT NULL,
  `time` int(18) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `author` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `newspaper_article`
--

CREATE TABLE IF NOT EXISTS `newspaper_article` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `views` int(11) NOT NULL DEFAULT '1',
  `image` varchar(255) NOT NULL,
  `section` int(11) NOT NULL,
  `img` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `newspaper_comm`
--

CREATE TABLE IF NOT EXISTS `newspaper_comm` (
  `id` int(11) NOT NULL,
  `id_article` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `newspaper_section`
--

CREATE TABLE IF NOT EXISTS `newspaper_section` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news_comm`
--

CREATE TABLE IF NOT EXISTS `news_comm` (
  `id` int(11) NOT NULL,
  `id_news` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `notifications`
--

CREATE TABLE IF NOT EXISTS `notifications` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `section` varchar(255) NOT NULL,
  `read` int(11) NOT NULL DEFAULT '0',
  `sender` int(11) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_codes`
--

CREATE TABLE IF NOT EXISTS `phpcodes_codes` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `code` text NOT NULL,
  `id_us` int(11) NOT NULL,
  `folder` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0',
  `views` int(11) NOT NULL DEFAULT '0',
  `unique_views` int(11) NOT NULL DEFAULT '0',
  `plus` int(11) NOT NULL DEFAULT '0',
  `minus` int(11) NOT NULL DEFAULT '0',
  `rating` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_comm`
--

CREATE TABLE IF NOT EXISTS `phpcodes_comm` (
  `id` int(11) NOT NULL,
  `code` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_folders`
--

CREATE TABLE IF NOT EXISTS `phpcodes_folders` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_rating`
--

CREATE TABLE IF NOT EXISTS `phpcodes_rating` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_code` int(11) NOT NULL,
  `type` int(1) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_settings`
--

CREATE TABLE IF NOT EXISTS `phpcodes_settings` (
  `id` int(11) NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `phpcodes_views`
--

CREATE TABLE IF NOT EXISTS `phpcodes_views` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_code` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `portfolio_comm`
--

CREATE TABLE IF NOT EXISTS `portfolio_comm` (
  `id` int(11) NOT NULL,
  `text` text NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_work` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `portfolio_folders`
--

CREATE TABLE IF NOT EXISTS `portfolio_folders` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `id_us` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `portfolio_rating`
--

CREATE TABLE IF NOT EXISTS `portfolio_rating` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_work` int(11) NOT NULL,
  `type` int(1) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `portfolio_screen`
--

CREATE TABLE IF NOT EXISTS `portfolio_screen` (
  `id` int(11) NOT NULL,
  `id_work` int(11) NOT NULL,
  `file` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `portfolio_works`
--

CREATE TABLE IF NOT EXISTS `portfolio_works` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `summ` int(11) NOT NULL,
  `times` int(11) NOT NULL,
  `t` varchar(10) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_folder` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `rules`
--

CREATE TABLE IF NOT EXISTS `rules` (
  `id` int(11) NOT NULL,
  `text` varchar(4000) NOT NULL,
  `id_adm` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `time_ban` int(11) NOT NULL,
  `type_time` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_buy`
--

CREATE TABLE IF NOT EXISTS `shop_buy` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `id_good` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_comm`
--

CREATE TABLE IF NOT EXISTS `shop_comm` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  `id_good` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_folders`
--

CREATE TABLE IF NOT EXISTS `shop_folders` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `folder` int(11) NOT NULL,
  `upGoods` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_goods`
--

CREATE TABLE IF NOT EXISTS `shop_goods` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `good` varchar(255) NOT NULL,
  `price` int(11) NOT NULL,
  `copies` int(11) NOT NULL,
  `right` int(1) NOT NULL DEFAULT '0',
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0',
  `folder` int(11) NOT NULL,
  `blocking` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_reviews`
--

CREATE TABLE IF NOT EXISTS `shop_reviews` (
  `id` int(11) NOT NULL,
  `id_good` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `type` int(1) NOT NULL,
  `time` int(11) NOT NULL,
  `review` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_screens`
--

CREATE TABLE IF NOT EXISTS `shop_screens` (
  `id` int(11) NOT NULL,
  `id_good` int(11) NOT NULL,
  `file` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `smile`
--

CREATE TABLE IF NOT EXISTS `smile` (
  `id` int(11) NOT NULL,
  `name` varchar(155) NOT NULL,
  `section` int(11) NOT NULL,
  `file` varchar(300) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `smile`
--

INSERT INTO `smile` (`id`, `name`, `section`, `file`) VALUES
(1, '*Oo*', 3, 'php-zona.ru_802024_1436109728.png'),
(2, '*gstyle*', 3, 'php-zona.ru_272793_1436108768.png'),
(3, '*plak*', 3, 'php-zona.ru_397781_1436109282.png'),
(4, '*face*', 3, 'php-zona.ru_818047_2039_tobey.gif'),
(5, '*dum*', 3, 'php-zona.ru_623459_1436109881.png'),
(6, '*fuck*', 3, 'php-zona.ru_30085_1436109940.png'),
(7, '*fuu*', 3, 'php-zona.ru_604033_1436109954.png'),
(8, '*notbad*', 3, 'php-zona.ru_504583_1436109970.png'),
(9, '*omg*', 3, 'php-zona.ru_365827_1436109981.png'),
(10, '*pechal*', 3, 'php-zona.ru_726748_1436110001.png'),
(11, '*trollface*', 3, 'php-zona.ru_353992_1436110013.png'),
(12, '*why*', 3, 'php-zona.ru_799652_1436110026.png'),
(13, '*ololosh*', 3, 'php-zona.ru_864152_1436168870.png'),
(14, '*pff*', 3, 'php-zona.ru_515443_1436168888.png'),
(15, '*fap*', 3, 'php-zona.ru_667128_1436168907.png'),
(16, '*wtf*', 3, 'php-zona.ru_121346_1436168921.png'),
(17, '*loh*', 3, 'php-zona.ru_453016_1436168935.png'),
(18, '*bgg*', 3, 'php-zona.ru_397488_1436168952.gif'),
(19, '*fuuu*', 3, 'php-zona.ru_46254_1436168964.gif'),
(20, '*nax*', 3, 'php-zona.ru_112721_1436168981.gif'),
(21, '*danu*', 3, 'php-zona.ru_710784_1436168993.png'),
(22, '*hmm*', 3, 'php-zona.ru_177097_1436169008.png'),
(23, '*pliz*', 3, 'php-zona.ru_380499_1436169024.gif'),
(24, '*pro*', 3, 'php-zona.ru_585086_1436169037.gif'),
(25, '*xm*', 3, 'php-zona.ru_629083_1436169052.png'),
(26, '*flip*', 3, 'php-zona.ru_973467_1436169071.gif'),
(27, 'Oo', 3, 'php-zona.ru_153977_1436169094.gif'),
(28, '*genius*', 3, 'php-zona.ru_366745_1436169109.jpg'),
(29, '*хех*', 3, 'php-zona.ru_354028_1436169128.png'),
(30, '*heh*', 3, 'php-zona.ru_46119_1436169146.png'),
(31, '*obnimashka*', 3, 'php-zona.ru_190764_1436169161.jpg'),
(32, '*nunet*', 3, 'php-zona.ru_721802_1436169174.png'),
(33, '*pipec*', 3, 'php-zona.ru_214972_1436169190.gif'),
(34, '*grusn*', 3, 'php-zona.ru_672543_1436169206.gif'),
(35, '*lol*', 3, 'php-zona.ru_187787_1436169234.gif'),
(36, '*love*', 3, 'php-zona.ru_573234_1436169252.gif'),
(37, '*O*', 3, 'php-zona.ru_743447_1436169270.gif'),
(38, '*puke*', 3, 'php-zona.ru_695804_1436169282.gif'),
(39, '*axe*', 3, 'php-zona.ru_192707_1436169300.gif'),
(40, '.ничоси.', 3, 'php-zona.ru_656730_1436169315.png'),
(41, ':))', 3, 'php-zona.ru_950780_1436169331.png'),
(42, '.гы.', 3, 'php-zona.ru_295945_1436169342.png'),
(43, '.ололо.', 3, 'php-zona.ru_443845_1436169356.png'),
(44, '*goo*', 3, 'php-zona.ru_298746_1436169376.png'),
(45, '.хлоп.', 3, 'php-zona.ru_351145_1436169388.png'),
(46, '.что.', 3, 'php-zona.ru_216595_1436169400.png'),
(47, '.ппц.', 3, 'php-zona.ru_915764_1436169422.png'),
(48, '.дану.', 3, 'php-zona.ru_736796_1436169439.png'),
(49, '.шутник.', 3, 'php-zona.ru_665823_1436169457.png'),
(50, '.царь.', 3, 'php-zona.ru_542025_1436169507.png'),
(51, '.зол.', 3, 'php-zona.ru_587273_1436169521.png'),
(52, '.даа.', 3, 'php-zona.ru_153890_1436169533.png'),
(53, '.ботан.', 3, 'php-zona.ru_545929_1436169549.png'),
(54, '.датыче.', 3, 'php-zona.ru_545079_1436169564.png'),
(55, '.ыы.', 3, 'php-zona.ru_956747_1436169577.png'),
(56, '.бокс.', 3, 'php-zona.ru_173062_1436169597.png'),
(57, '.але.', 3, 'php-zona.ru_467700_1436169612.png'),
(58, '.рукалицо.', 3, 'php-zona.ru_912441_1436169623.png'),
(59, '.упорот.', 3, 'php-zona.ru_672745_1436169640.png'),
(60, '.Оо.', 3, 'php-zona.ru_455781_1436169655.png'),
(62, '.гитлерзол.', 3, 'php-zona.ru_254758_1437918493.png'),
(63, '*o_o*', 2, 'php-zona.ru_717539_1437918609.gif'),
(64, '*molot*', 2, 'php-zona.ru_911160_1437918621.gif'),
(65, '*gop*', 2, 'php-zona.ru_175434_1437918633.gif'),
(66, '*arbuz*', 2, 'php-zona.ru_205785_1437918646.gif'),
(67, '*nastav*', 2, 'php-zona.ru_368759_1437918664.gif'),
(68, '*nigga*', 2, 'php-zona.ru_495277_1437918700.gif'),
(69, '*closed*', 2, 'php-zona.ru_19620_1437918730.gif'),
(70, '*flood*', 2, 'php-zona.ru_374550_1437918747.gif'),
(71, '*ban*', 2, 'php-zona.ru_580848_1437918758.gif'),
(72, 'Гг', 2, 'php-zona.ru_244006_1437918771.gif'),
(73, '*morj*', 2, 'php-zona.ru_16260_1437918786.gif'),
(74, '*facepalm*', 2, 'php-zona.ru_344577_1437918804.gif'),
(75, '*YU*', 2, 'php-zona.ru_906440_1437918813.gif'),
(76, '*TO_PICK_ONES_NOSE*', 2, 'php-zona.ru_637517_1437918825.gif'),
(77, '*DANCE2*', 2, 'php-zona.ru_14192_1437918858.gif'),
(78, '*DANCE*', 2, 'php-zona.ru_998308_1437918870.gif'),
(79, '*HANG*', 2, 'php-zona.ru_104927_1437918881.gif'),
(80, '*FOCUS*', 2, 'php-zona.ru_752984_1437918893.gif'),
(81, '*TRAINING*', 2, 'php-zona.ru_79409_1437918912.gif'),
(82, '*WILD*', 2, 'php-zona.ru_989759_1437918926.gif'),
(83, '*DASH*', 2, 'php-zona.ru_385979_1437918945.gif'),
(84, '*CRAZY*', 2, 'php-zona.ru_509618_1437918982.gif'),
(85, '*NO*', 2, 'php-zona.ru_271074_1437918998.gif'),
(86, '*PARDON*', 2, 'php-zona.ru_136193_1437919010.gif'),
(87, '*BRAVO*', 2, 'php-zona.ru_128448_1437919023.gif'),
(88, '*SORRY*', 2, 'php-zona.ru_764739_1437919032.gif'),
(89, '*OK*', 2, 'php-zona.ru_596781_1437919052.gif'),
(90, '*HELP*', 2, 'php-zona.ru_147215_1437919064.gif'),
(91, ':-[', 2, 'php-zona.ru_866694_1437919090.gif'),
(92, ':D', 2, 'php-zona.ru_579551_1437919100.gif'),
(93, '8-)', 2, 'php-zona.ru_778047_1437919112.gif'),
(94, ':-P', 2, 'php-zona.ru_391870_1437919122.gif'),
(95, ';-)', 2, 'php-zona.ru_848099_1437919139.gif'),
(96, ':-(', 2, 'php-zona.ru_850942_1437919151.gif'),
(97, ':-)', 2, 'php-zona.ru_645892_1437919165.gif');

-- --------------------------------------------------------

--
-- Структура таблицы `smile_section`
--

CREATE TABLE IF NOT EXISTS `smile_section` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `smile_section`
--

INSERT INTO `smile_section` (`id`, `name`) VALUES
(2, 'Колобки'),
(3, 'Мемы');

-- --------------------------------------------------------

--
-- Структура таблицы `subscribe`
--

CREATE TABLE IF NOT EXISTS `subscribe` (
  `id` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `subscriber` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL,
  `nick` varchar(50) NOT NULL,
  `password` varchar(32) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `date_reg` int(11) NOT NULL,
  `level` int(2) NOT NULL,
  `sex` int(1) NOT NULL DEFAULT '1',
  `online` int(11) NOT NULL,
  `db` int(2) NOT NULL DEFAULT '0',
  `mb` int(2) NOT NULL DEFAULT '0',
  `yb` int(4) NOT NULL DEFAULT '0',
  `country` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `site` varchar(60) NOT NULL,
  `icq` varchar(15) NOT NULL,
  `ava` text NOT NULL,
  `hidden_news` int(1) NOT NULL DEFAULT '0',
  `rating` float NOT NULL DEFAULT '0',
  `msg` enum('new','read') DEFAULT 'read',
  `money` decimal(11,2) NOT NULL DEFAULT '0.00',
  `wmid` varchar(12) NOT NULL,
  `wmr` varchar(12) NOT NULL,
  `qiwi` varchar(12) NOT NULL,
  `wm_pod` int(1) NOT NULL DEFAULT '0',
  `qiwi_pod` int(1) NOT NULL DEFAULT '0',
  `icon` varchar(150) NOT NULL DEFAULT '0',
  `iconh` int(1) NOT NULL DEFAULT '0',
  `gradient1` varchar(6) NOT NULL DEFAULT '0',
  `gradient2` varchar(6) NOT NULL DEFAULT '0',
  `gradienth` int(1) NOT NULL DEFAULT '0',
  `special` text NOT NULL,
  `ip` varchar(255) NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `design` int(1) NOT NULL,
  `journalist` int(1) NOT NULL DEFAULT '0',
  `scam` int(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `worldkassa`
--

CREATE TABLE IF NOT EXISTS `worldkassa` (
  `id` int(11) unsigned NOT NULL COMMENT 'ID ??????? (?????????? ID)',
  `id_user` int(11) unsigned NOT NULL COMMENT 'ID ????????????',
  `id_bill` int(11) unsigned NOT NULL COMMENT 'ID ??????? ? Worldkassa',
  `time` int(11) unsigned NOT NULL COMMENT '????? ????????????? ???????',
  `time_oplata` int(11) unsigned DEFAULT '0' COMMENT '????? ??????',
  `summa` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '?????'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='?????????? ???????? ????? WorldKassa';

-- --------------------------------------------------------

--
-- Структура таблицы `zc_comm`
--

CREATE TABLE IF NOT EXISTS `zc_comm` (
  `id` int(11) NOT NULL,
  `file` int(11) NOT NULL,
  `us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `zc_dir`
--

CREATE TABLE IF NOT EXISTS `zc_dir` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `dir` int(11) NOT NULL DEFAULT '0',
  `add_file` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `zc_file`
--

CREATE TABLE IF NOT EXISTS `zc_file` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `file` varchar(255) NOT NULL,
  `dir` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `us` int(11) NOT NULL,
  `moderation` int(1) NOT NULL DEFAULT '0',
  `bloc` int(1) NOT NULL DEFAULT '0',
  `reason` text NOT NULL,
  `bloc_adm` int(11) NOT NULL,
  `bloc_time` int(11) NOT NULL,
  `count_down` int(11) NOT NULL DEFAULT '0',
  `rating` float NOT NULL DEFAULT '0',
  `password` varchar(32) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `zc_rating_history`
--

CREATE TABLE IF NOT EXISTS `zc_rating_history` (
  `id` int(11) NOT NULL,
  `id_file` int(11) NOT NULL,
  `id_us` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `type` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `zc_screen`
--

CREATE TABLE IF NOT EXISTS `zc_screen` (
  `id` int(11) NOT NULL,
  `file` int(11) NOT NULL,
  `screen` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `ads_link`
--
ALTER TABLE `ads_link`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `antiflood`
--
ALTER TABLE `antiflood`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `antimat`
--
ALTER TABLE `antimat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `antispam`
--
ALTER TABLE `antispam`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `arbitration`
--
ALTER TABLE `arbitration`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `ban`
--
ALTER TABLE `ban`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `basket`
--
ALTER TABLE `basket`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `billing_history`
--
ALTER TABLE `billing_history`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `billing_output`
--
ALTER TABLE `billing_output`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `billing_score`
--
ALTER TABLE `billing_score`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `complaint_goods`
--
ALTER TABLE `complaint_goods`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `confirmation`
--
ALTER TABLE `confirmation`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `designs`
--
ALTER TABLE `designs`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_complaint`
--
ALTER TABLE `forum_complaint`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_files_post`
--
ALTER TABLE `forum_files_post`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_kat`
--
ALTER TABLE `forum_kat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_pkat`
--
ALTER TABLE `forum_pkat`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_post`
--
ALTER TABLE `forum_post`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_post_del`
--
ALTER TABLE `forum_post_del`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_post_edit`
--
ALTER TABLE `forum_post_edit`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_post_rating`
--
ALTER TABLE `forum_post_rating`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_post_reestablish`
--
ALTER TABLE `forum_post_reestablish`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `forum_topic`
--
ALTER TABLE `forum_topic`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `history_nick`
--
ALTER TABLE `history_nick`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `msg`
--
ALTER TABLE `msg`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `msg_con`
--
ALTER TABLE `msg_con`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `news`
--
ALTER TABLE `news`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `newspaper_article`
--
ALTER TABLE `newspaper_article`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `newspaper_comm`
--
ALTER TABLE `newspaper_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `newspaper_section`
--
ALTER TABLE `newspaper_section`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `news_comm`
--
ALTER TABLE `news_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `notifications`
--
ALTER TABLE `notifications`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `phpcodes_codes`
--
ALTER TABLE `phpcodes_codes`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `phpcodes_comm`
--
ALTER TABLE `phpcodes_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `phpcodes_folders`
--
ALTER TABLE `phpcodes_folders`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `phpcodes_rating`
--
ALTER TABLE `phpcodes_rating`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `phpcodes_views`
--
ALTER TABLE `phpcodes_views`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `portfolio_comm`
--
ALTER TABLE `portfolio_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `portfolio_folders`
--
ALTER TABLE `portfolio_folders`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `portfolio_rating`
--
ALTER TABLE `portfolio_rating`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `portfolio_screen`
--
ALTER TABLE `portfolio_screen`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `portfolio_works`
--
ALTER TABLE `portfolio_works`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `rules`
--
ALTER TABLE `rules`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_buy`
--
ALTER TABLE `shop_buy`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_comm`
--
ALTER TABLE `shop_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_folders`
--
ALTER TABLE `shop_folders`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_goods`
--
ALTER TABLE `shop_goods`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_reviews`
--
ALTER TABLE `shop_reviews`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `shop_screens`
--
ALTER TABLE `shop_screens`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `smile`
--
ALTER TABLE `smile`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `smile_section`
--
ALTER TABLE `smile_section`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `subscribe`
--
ALTER TABLE `subscribe`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `worldkassa`
--
ALTER TABLE `worldkassa`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zc_comm`
--
ALTER TABLE `zc_comm`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zc_dir`
--
ALTER TABLE `zc_dir`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zc_file`
--
ALTER TABLE `zc_file`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zc_rating_history`
--
ALTER TABLE `zc_rating_history`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `zc_screen`
--
ALTER TABLE `zc_screen`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `ads_link`
--
ALTER TABLE `ads_link`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `antiflood`
--
ALTER TABLE `antiflood`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `antimat`
--
ALTER TABLE `antimat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `antispam`
--
ALTER TABLE `antispam`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `arbitration`
--
ALTER TABLE `arbitration`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ban`
--
ALTER TABLE `ban`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `basket`
--
ALTER TABLE `basket`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `billing_history`
--
ALTER TABLE `billing_history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `billing_output`
--
ALTER TABLE `billing_output`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `billing_score`
--
ALTER TABLE `billing_score`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `complaint_goods`
--
ALTER TABLE `complaint_goods`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `confirmation`
--
ALTER TABLE `confirmation`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `designs`
--
ALTER TABLE `designs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT для таблицы `forum_complaint`
--
ALTER TABLE `forum_complaint`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_files_post`
--
ALTER TABLE `forum_files_post`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_kat`
--
ALTER TABLE `forum_kat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT для таблицы `forum_pkat`
--
ALTER TABLE `forum_pkat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=37;
--
-- AUTO_INCREMENT для таблицы `forum_post`
--
ALTER TABLE `forum_post`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_post_del`
--
ALTER TABLE `forum_post_del`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_post_edit`
--
ALTER TABLE `forum_post_edit`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_post_rating`
--
ALTER TABLE `forum_post_rating`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_post_reestablish`
--
ALTER TABLE `forum_post_reestablish`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `forum_topic`
--
ALTER TABLE `forum_topic`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `history_nick`
--
ALTER TABLE `history_nick`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `msg`
--
ALTER TABLE `msg`
  MODIFY `id` int(18) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `msg_con`
--
ALTER TABLE `msg_con`
  MODIFY `id` int(18) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news`
--
ALTER TABLE `news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `newspaper_article`
--
ALTER TABLE `newspaper_article`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `newspaper_comm`
--
ALTER TABLE `newspaper_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `newspaper_section`
--
ALTER TABLE `newspaper_section`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news_comm`
--
ALTER TABLE `news_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `notifications`
--
ALTER TABLE `notifications`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `phpcodes_codes`
--
ALTER TABLE `phpcodes_codes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `phpcodes_comm`
--
ALTER TABLE `phpcodes_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `phpcodes_folders`
--
ALTER TABLE `phpcodes_folders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `phpcodes_rating`
--
ALTER TABLE `phpcodes_rating`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `phpcodes_views`
--
ALTER TABLE `phpcodes_views`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `portfolio_comm`
--
ALTER TABLE `portfolio_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `portfolio_folders`
--
ALTER TABLE `portfolio_folders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `portfolio_rating`
--
ALTER TABLE `portfolio_rating`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `portfolio_screen`
--
ALTER TABLE `portfolio_screen`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `portfolio_works`
--
ALTER TABLE `portfolio_works`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `rules`
--
ALTER TABLE `rules`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_buy`
--
ALTER TABLE `shop_buy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_comm`
--
ALTER TABLE `shop_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_folders`
--
ALTER TABLE `shop_folders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_goods`
--
ALTER TABLE `shop_goods`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_reviews`
--
ALTER TABLE `shop_reviews`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_screens`
--
ALTER TABLE `shop_screens`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `smile`
--
ALTER TABLE `smile`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=98;
--
-- AUTO_INCREMENT для таблицы `smile_section`
--
ALTER TABLE `smile_section`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT для таблицы `subscribe`
--
ALTER TABLE `subscribe`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `worldkassa`
--
ALTER TABLE `worldkassa`
  MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID ??????? (?????????? ID)';
--
-- AUTO_INCREMENT для таблицы `zc_comm`
--
ALTER TABLE `zc_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `zc_dir`
--
ALTER TABLE `zc_dir`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `zc_file`
--
ALTER TABLE `zc_file`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `zc_rating_history`
--
ALTER TABLE `zc_rating_history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `zc_screen`
--
ALTER TABLE `zc_screen`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
